summaryrefslogtreecommitdiffstats
path: root/source/x/libXaw3dXft
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libXaw3dXft')
-rwxr-xr-xsource/x/libXaw3dXft/libXaw3dXft.SlackBuild22
-rw-r--r--source/x/libXaw3dXft/slack-desc8
2 files changed, 21 insertions, 9 deletions
diff --git a/source/x/libXaw3dXft/libXaw3dXft.SlackBuild b/source/x/libXaw3dXft/libXaw3dXft.SlackBuild
index 6f4e54b08..3ac9ab1b4 100755
--- a/source/x/libXaw3dXft/libXaw3dXft.SlackBuild
+++ b/source/x/libXaw3dXft/libXaw3dXft.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libXaw3dXft
VERSION=${VERSION:-$(echo ${PKGNAM}*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -32,6 +34,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
if [ "$ARCH" = "i586" ]; then
@@ -48,7 +58,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -80,11 +89,14 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-gray-stipples \
--enable-arrow-scrollbars \
--enable-internationalization \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/x/libXaw3dXft/slack-desc b/source/x/libXaw3dXft/slack-desc
index a6ef63450..6244e4a67 100644
--- a/source/x/libXaw3dXft/slack-desc
+++ b/source/x/libXaw3dXft/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libXaw3dXft: libXaw3dXft (3D enhanced version of the MIT Athena widget set)
libXaw3dXft:
libXaw3dXft: Xaw3dXft is an enhanced version of the MIT Athena Widget set for
-libXaw3dXft: the X Window System. Xaw3dXft adds a three-dimensional look to
+libXaw3dXft: the X Window System. Xaw3dXft adds a three-dimensional look to
libXaw3dXft: applications with minimal or no source code changes.
libXaw3dXft:
libXaw3dXft: You should install Xaw3dXft if you are using applications which